curl --request GET \
--url https://api.example.com/workflows/{name} \
--header 'Authorization: Bearer <token>'{
"name": "Fix Build",
"slug": "fix_build",
"filename": "fix_build.fabro",
"description": "Automatically diagnoses and fixes CI build failures.",
"config": {
"version": 1,
"graph": "fix_build.fabro",
"goal": "Diagnose and fix CI build failures",
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
]
},
"graph": "digraph fix_build { rankdir=LR; start -> diagnose -> fix -> validate }"
}Returns the full detail of a workflow including its DOT graph, TOML config, and description.
curl --request GET \
--url https://api.example.com/workflows/{name} \
--header 'Authorization: Bearer <token>'{
"name": "Fix Build",
"slug": "fix_build",
"filename": "fix_build.fabro",
"description": "Automatically diagnoses and fixes CI build failures.",
"config": {
"version": 1,
"graph": "fix_build.fabro",
"goal": "Diagnose and fix CI build failures",
"directory": "<string>",
"llm": {
"model": "claude-sonnet",
"provider": "anthropic",
"fallbacks": {}
},
"setup": {
"commands": [
"<string>"
],
"timeout_ms": 123
},
"sandbox": {
"provider": "daytona",
"preserve": true,
"devcontainer": true,
"daytona": {
"auto_stop_interval": 123,
"labels": {},
"snapshot": {
"name": "<string>",
"cpu": 123,
"memory": 123,
"disk": 123,
"dockerfile": "<string>"
},
"network": "block"
},
"exe": {
"image": "<string>"
},
"ssh": {
"destination": "<string>",
"working_directory": "<string>",
"config_file": "<string>"
},
"local": {
"worktree_mode": "clean"
},
"env": {}
},
"vars": {},
"hooks": [
{
"event": "run_start",
"name": "<string>",
"command": "<string>",
"type": "command",
"url": "<string>",
"headers": {},
"allowed_env_vars": [
"<string>"
],
"tls": "verify",
"prompt": "<string>",
"model": "<string>",
"max_tool_rounds": 123,
"matcher": "<string>",
"blocking": true,
"timeout_ms": 123,
"sandbox": true
}
]
},
"graph": "digraph fix_build { rankdir=LR; start -> diagnose -> fix -> validate }"
}JWT bearer token issued by fabro-web. See the Authentication guide for details.
URL-safe slug identifying a workflow definition.
Workflow detail
Full detail of a workflow definition including graph and configuration.
Human-readable workflow name.
"Fix Build"
URL-safe slug used in API paths.
"fix_build"
DOT graph filename.
"fix_build.fabro"
Prose description of what the workflow does.
"Automatically diagnoses and fixes CI build failures."
Structured run configuration mirroring WorkflowRunConfig.
Show child attributes
DOT language source defining the workflow graph.
"digraph fix_build { rankdir=LR; start -> diagnose -> fix -> validate }"